#ifndef ACCELEROMETERWIDGET_H
#define ACCELEROMETERWIDGET_H
#include <QWidget>
#include <QLabel>
#include <QString>
#include <phonon/MediaObject>
#include <QFile>
#include "accelerometerclass.h"


class accelerometerWidget : public QWidget
{
    Q_OBJECT
public:
    accelerometerWidget(QWidget *parent = 0);
    //void currentValue(QString x, QString y);

public slots:
    void showData(QString x, QString y, QString z);

private:
    QLabel *label1;
    QLabel *label2;
    QLabel *label3;
    QLabel *xlabel;
    QLabel *ylabel;
    QLabel *zlabel;
    QLabel *currentxtx;
    QLabel *currentxty;
    QString currentx;
    QString currenty;
    bool current;
    accelerometerClass *myThread;
    Phonon::MediaObject *car;
    Phonon::MediaObject *bipCar;
    QFile *fileAlarm;
    QFile *fileCar;

    public slots:
        void valueCurrent();
        void voitureAlarm();
        void voitureBip();


};

#endif // ACCELEROMETERWIDGET_H
